--- a/ifcico/hydra.c
+++ b/ifcico/hydra.c
@@ -48,6 +48,7 @@ extern unsigned short crc16ccitt(char *,
 extern unsigned long crc32ccitt(char *, int);
 extern file_list *respond_wazoo(char *);
 extern file_list *create_freqlist(fa_list *al);
+extern char *xtodos(char*);
 
 
 static int put_binbyte(char *outbuf, char c);
@@ -1382,6 +1383,8 @@ int hydra_batch(int role, file_list *to_
 	  if ((strlen(rxbuf + 40) + 41) < rxlen)
 	  {
 	    name = rxbuf + strlen(rxbuf + 40) + 41;
+	    loginf("Hydra receive: real filename \"%s\", DOS filename \"%s\"",
+		   name, dosname);
 
 	    /*
 	     * use DOS-filename if real- and DOS-name only differ in
